ViterbiTCH_AFS6_7 Class Reference

`#include <AmrCoder.h>`

Inheritance diagram for ViterbiTCH_AFS6_7:

## Classes

struct | candStruct

## Derived values.

typedef struct ViterbiTCH_AFS6_7::candStruct | vCand
void | vitClear (vCand &v)

## Survivors and candidates.

unsigned | iRate () const
uint32_t | cMask () const
uint32_t | stateTable (unsigned g, unsigned i) const
unsigned | deferral () const
| ViterbiTCH_AFS6_7 ()
void | initializeStates ()
const vCand & | step (uint32_t inSample, const float *probs, const float *iprobs)

## Additional Inherited Members

Public Member Functions inherited from ViterbiBase
virtual int | getBEC ()
unsigned | applyPoly (uint64_t val, uint64_t poly)
unsigned | applyPoly (uint64_t val, uint64_t poly, unsigned order)

## Detailed Description

Class to represent recursive systematic convolutional coders/decoders of rate 1/4, memory length 4.

## Member Typedef Documentation

## vCand

typedef struct ViterbiTCH_AFS6_7::candStruct ViterbiTCH_AFS6_7::vCand

A candidate sequence in a Viterbi decoder. The 32-bit state register can support a deferral of 6 with a 4th-order coder.

## Constructor & Destructor Documentation

## ViterbiTCH_AFS6_7()

ViterbiTCH_AFS6_7::ViterbiTCH_AFS6_7 | ( |  | ) |

## Member Function Documentation

## cMask()

uint32_t ViterbiTCH_AFS6_7::cMask | ( |  | ) | const

inline

## deferral()

unsigned ViterbiTCH_AFS6_7::deferral | ( |  | ) | const

inline

## initializeStates()

void ViterbiTCH_AFS6_7::initializeStates | ( |  | ) |

Set all cost metrics to zero.

## iRate()

unsigned ViterbiTCH_AFS6_7::iRate | ( |  | ) | const

inline

## stateTable()

uint32_t ViterbiTCH_AFS6_7::stateTable | ( | unsigned | g,
|  | unsigned | i ) const

inline

## step()

const vCand & ViterbiTCH_AFS6_7::step | ( | uint32_t | inSample,
|  | const float * | probs,
|  | const float * | iprobs )

Full cycle of the Viterbi algorithm: branch, metrics, prune, select.

Returns
  reference to minimum-cost candidate.

## vitClear()

void ViterbiTCH_AFS6_7::vitClear | ( | vCand & | v | ) |

inline

Clear a structure.

References ViterbiTCH_AFS6_7::candStruct::cost, ViterbiTCH_AFS6_7::candStruct::iState, ViterbiTCH_AFS6_7::candStruct::oState, and ViterbiTCH_AFS6_7::candStruct::rState.

The documentation for this class was generated from the following file:

- AmrCoder.h